com.unitech.lib.uhf

## Class BaseUHF

- java.lang.Object
- - com.unitech.lib.uhf.BaseUHF

-     public abstract class BaseUHF
      extends Object

  BaseUHF class is a class that provides the function to control RFID UHF module installed in Device when BaseReader instance is connected to Device.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BaseModuleUHF` | `_module`
    `protected IReader` | `_reader`
    `protected RfidUhfEventManager` | `_rfidUhfEventManager`
    `protected String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseUHF(IReader reader)` Create an instance of the BaseUHF class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(IRfidUhfEventListener listener)` Adds an event handler to receive events that occur in the instance.
    `protected void` | `assertAction()` Asserts that the instance is in a state where it can perform an operation.
    `protected void` | `assertModule()` Asserts that the module is not null and is of a type that supports the operation.
    `void` | `authenticate(AuthenticateParam param)` Set the Authenticate command for the RFID UTE module of the Device.
    `ResultCode` | `blockPermaLock(BlockPermaLockParam param)` Set the Block Perma Lock command for the RFID UTE module of the Device.
    `void` | `clearListener()` Removes all event handlers from the instance.
    `void` | `cwOnOff(CWParms param, boolean enable)` Set the CW On/Off command for the RFID UTE module of the Device.
    `void` | `destroy()` BaseUHF Destroys the instance and returns the resource.
    `AlgorithmType` | `getAlgorithmType()` Returns the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
    `int` | `getAntennaRoundCount()` Returns the antenna round count of the RFID UTE module of the Device.
    `AntennaSwitchingMode` | `getAntennaSwitchingMode()` Returns the Antenna Switching Mode of the RFID UTE module of the Device.
    `BLFType` | `getBLF()` Returns the status of the BLF that the RFID UHF module of the appliance uses to perform the inventory.
    `CfgStorageMode` | `getCfgStorageMode()` Returns the configuration storage mode of the RFID UTE module of the Device.
    `RFIDConfig` | `getConfig()` Returns the config of RFID module
    `boolean` | `getContinuousMode()` Returns whether the RFID UHF module on the device will cause the Inventory to run continuously.
    `int` | `getDwellTime()` Returns the dwellTime representing Antenna Setting of the RFID UTE module of the Device.
    `Encoding` | `getEncoding()` Returns the status of the encoding that the RFID UHF module of the appliance uses to perform the inventory.
    `boolean` | `getFastID()` Returns the status of the FastId that the RFID UHF module of the appliance uses to read tid when inventory.
    `boolean` | `getFastMode()` Returns the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
    `long[]` | `getFixedFreqParams()` Returns the fixed frequency parameters of the RFID UTE module of the Device.
    `FreqSwitchingMode` | `getFreqSwitchingMode()` Returns the Frequency Switching Mode of the RFID UTE module of the Device.
    `GlobalBandType` | `getGlobalBand()` Returns the national orientation of the RFID UHF module of the instrument.
    `int` | `getIdleTime()` The RFID UHF module of the instrument returns the time that the radio waves are not output in the Inventory operation and is resting.
    `int` | `getInventoryTime()` Returns the time at which radio waves are actually output from the Inventory operation of the RFID UHF module in the instrument.
    `boolean` | `getLbt()` Returns the Listen-Before-Talk Setting of the RFID UTE module of the Device.
    `int` | `getLbtCfgSetting()` Returns the LBT RSSI threshold of the RFID UTE module of the Device.
    `int` | `getMaxQ()` If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the maximum Q value.
    `int` | `getMinQ()` If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the minimum Q value.
    `int` | `getModuleProfile()` Returns the status of the module's profile that the RFID UHF module of the appliance uses to perform the inventory.
    `boolean` | `getPhaseSetting()` Returns the phase setting of the RFID UTE module of the Device.
    `int` | `getPower()` Returns the antenna output of the RFID UHF module of the instrument.
    `PowerMode` | `getPowerMode()` Returns the status of the power mode that the RFID UHF module of the appliance uses to perform the inventory.
    `PowerRange` | `getPowerRange()` Returns the antenna output range of the RFID UHF module of the instrument.
    `PowerSavingMode` | `getPowerSavingMode()` Returns the power saving mode of the RFID UHF module of the device.
    `RFMode` | `getRFMode()` Returns the RF Mode of the RFID UTE module of the Device.
    `SelectMask6cParam` | `getSelectMask6c(int index)` Returns the Selection Mask item of the RFID UHF module of the Device.
    `Mask6cAction` | `getSelectMask6cAction(int index)` Returns the comparison behavior of the Selection Mask item of the RFID UHF module of the Device.
    `BankType` | `getSelectMask6cBank(int index)` The Selection Mask item of the Device's RFID UHF module returns the memory bank to compare.
    `boolean` | `getSelectMask6cEnabled(int index)` Returns whether to use the Selection Mask item of the RFID UHF module of the Device.
    `int` | `getSelectMask6cMaxSize()` Returns the max size of select mask list status of the RFID UHF module.
    `int` | `getSelectMask6cOffset(int index)` The Selection Mask item of the RFID UHF module of the Device returns the starting address of the memory to start the comparison.
    `Mask6cPattern` | `getSelectMask6cPattern(int index)` Returns the comparison value and length of the Selection Mask item of the RFID UHF module of the Device.
    `Mask6cTarget` | `getSelectMask6cTarget(int index)` Returns the Flag of the tag to store the comparison result of Selection Mask item of RFID UHF module of Device.
    `Truncate` | `getSelectMask6cTruncate(int index)` Returns the truncate of the Selection Mask item of the RFID UHF module of the Device.
    `SelectMode` | `getSelectMode()` Returns the Select Mode of the RFID UTE module of the Device.
    `Session` | `getSession()` The RFID UHF module of the device returns the Session to check the state of the Session of the tag to be read by the Inventory operation.
    `SKUType` | `getSKU()` Returns the SKU of the RFID UTE module of the Device.
    `int` | `getStartQ()` If the algorithm of the RFID UHF module of the device is using Dynamic Q, it returns the starting Q value.
    `boolean` | `getTagFocus()` Returns the TagFocus Setting of the RFID UTE module of the Device.
    `Target` | `getTarget()` The RFID UHF module of the device returns the status of the Target of the tag to be read by the Inventory operation.
    `TARIType` | `getTARI()` Returns the status of the TARI that the RFID UHF module of the appliance uses to perform the inventory.
    `boolean` | `getToggleTarget()` Returns the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
    `ModuleUHFType` | `getType()` Returns the RFID UHF module type of the connected Device.
    `String` | `getVersion()` Returns the version of the RFID UHF module.
    `abstract boolean` | `initModule()` After the Device is connected, it calls to instantiate the BaseUHF instance.
    `abstract ResultCode` | `inventory6c()` Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
    `abstract ResultCode` | `kill6c(String password)` Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to be no longer available.
    `abstract ResultCode` | `lock6c(Lock6cParam param, String password)` Instructs the Device to lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
    `ResultCode` | `marginRead(MarginReadParam param)` Set the Margin Read command for the RFID UTE module of the Device.
    `abstract ResultCode` | `permaLock6c(PermaLock6cParam param, String password)` Instructs the Device to permanent lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
    `void` | `pumpEvent(ProtocolEventId protocolEventId, Object data)`
    `abstract ResultCode` | `readMemory6c(BankType bank, int offset, int length, String password)` Device instructs to read specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
    `void` | `removeListener(IRfidUhfEventListener listener)` Removes an event handler when it no longer needs to receive events raised by the instance.
    `void` | `setAlgorithmType(AlgorithmType type)` Sets the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setAntennaRoundCount(int count)` Sets the antenna round count of the RFID UTE module of the Device.
    `void` | `setAntennaSwitchingMode(AntennaSwitchingMode mode)` Set the Antenna Switching Mode of the RFID UTE module of the Device.
    `void` | `setBLF(BLFType type)` Sets the status of the BLF that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setCfgStorageMode(CfgStorageMode mode)` Set the configuration storage mode of the RFID UTE module of the Device.
    `void` | `setConfig(RFIDConfig rfidConfig)` Setup the config of the RFID module
    `void` | `setContinuousMode(boolean enabled)` Sets whether or not the RFID UHF module of the device will run the Inventory continuously.
    `void` | `setDwellTime(int time)` Set the dwellTime representing Antenna Setting of the RFID UTE module of the Device.
    `void` | `setEncoding(Encoding encoding)` Sets the status of the encoding that the RFID UHF module of the appliance uses to perform the inventory.
    `protected void` | `setException(ReaderException e)`
    `void` | `setFastID(boolean enable)` Setup the status of the FastId that the RFID UHF module of the appliance uses to read tid when inventory.
    `void` | `setFastMode(boolean enabled)` Sets the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setFixedFreqParams(long[] frequencies)` Set the fixed frequency parameters of the RFID UTE module of the Device.
    `void` | `setFreqSwitchingMode(FreqSwitchingMode mode)` Set the Frequency Switching Mode of the RFID UTE module of the Device.
    `void` | `setGlobalBand(GlobalBandType band)` Set the national orientation of the RFID UHF module of the instrument.
    `void` | `setIdleTime(int time)` The RFID UHF module of the instrument sets the time for which the radio waves are not output in the Inventory operation and the rest of the time.
    `void` | `setInventoryTime(int time)` Sets the time at which radio waves are actually output in Inventory operation of the RFID UHF module of the instrument.
    `void` | `setLbt(boolean enable)` Set the Listen-Before-Talk Setting of the RFID UTE module of the Device.
    `void` | `setLbtCfgSetting(int value)` Set the LBT RSSI threshold of RAM/Flash for the Device.
    `void` | `setMaxQ(int value)` If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the maximum Q value.
    `void` | `setMinQ(int value)` If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the minimum Q value.
    `void` | `setModuleProfile(int id)` Sets the status of the module's profile that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setPhaseSetting(boolean enable)` Sets the phase setting of the RFID UTE module of the Device.
    `void` | `setPower(int power)` Set the antenna output of the RFID UHF module of the instrument.
    `void` | `setPowerMode(PowerMode powerMode)` Sets the status of the power mode the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setPowerSavingMode(PowerSavingMode mode)` Sets the power saving mode of the RFID UHF module of the device.
    `void` | `setRFMode(RFMode mode)` Set the RF Mode of the RFID UTE module of the Device.
    `void` | `setSelectMask6c(int index, SelectMask6cParam param)` Set the Selection Mask item of the RFID UHF module of the Device.
    `void` | `setSelectMask6cAction(int index, Mask6cAction action)` Set the comparison behavior of the Selection Mask item of the RFID UHF module of the device.
    `void` | `setSelectMask6cBank(int index, BankType bank)` The Selection Mask item of the RFID UHF module of the device sets the memory bank to be compared.
    `void` | `setSelectMask6cEnabled(int index, boolean enabled)` Set whether or not to use the Selection Mask item of the RFID UHF module of the Device.
    `void` | `setSelectMask6cOffset(int index, int offset)` The Selection Mask item of the RFID UHF module of the device sets the start address of the memory to start the comparison.
    `void` | `setSelectMask6cPattern(int index, Mask6cPattern pattern)` Set the comparison value and length of the Selection Mask item of the RFID UHF module of the device.
    `void` | `setSelectMask6cTarget(int index, Mask6cTarget target)` Set the Flag of the tag to save the comparison result of Selection Mask item of the RFID UHF module of the device.
    `void` | `setSelectMask6cTruncate(int index, Truncate truncate)` Sets the truncate of the Selection Mask item of the RFID UHF module of the device.
    `void` | `setSelectMode(SelectMode mode)` Set the Select Mode of the RFID UTE module of the Device.
    `void` | `setSession(Session session)` Device's RFID UHF module sets the Session to check the status of the Session of the tag to be read by Inventory operation.
    `void` | `setStartQ(int value)` If the algorithm of the RFID UHF module of the device is using Dynamic Q, set the starting Q value.
    `void` | `setTagFocus(boolean enable)` Set the TagFocus Setting of the RFID UTE module of the Device.
    `void` | `setTarget(Target target)` Sets the state of target of tag to read by Inventory operation.
    `void` | `setTARI(TARIType type)` Sets the status of the TARI that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setToggleTarget(boolean enabled)` Sets the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
    `abstract ResultCode` | `stop()` Instructs the Device to stop the operation being performed.
    `GlobalBandType[]` | `supportedGlobalBand()` Returns the global band types that the RFID UHF module support.
    `void` | `txRandomData(TxRandomDataParam param)` Executes a random data transaction with the RFID UTE module of the Device.
    `abstract ResultCode` | `userInventory6c(BankType bank, int offset, int length, String password)` Returns whether to executes a tag inventory with user specified data operation of the RFID UTE module of the Device.
    `abstract ResultCode` | `writeBlockMemory6c(BankType bank, int offset, int length, String data, String password)` Device instructs to store data in a specific memory of RFID UTE tag.
    `abstract ResultCode` | `writeMemory6c(BankType bank, int offset, String data, String password)` Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          protected String TAG

    - #### _module

          protected BaseModuleUHF _module

    - #### _reader

          protected IReader _reader

    - #### _rfidUhfEventManager

          protected RfidUhfEventManager _rfidUhfEventManager

  - ### Constructor Detail

    - #### BaseUHF

          public BaseUHF(IReader reader)

      Create an instance of the BaseUHF class.
      Parameters:
        `reader` -

  - ### Method Detail

    - #### destroy

          public void destroy()

      BaseUHF Destroys the instance and returns the resource.

    - #### getType

          public ModuleUHFType getType()

      Returns the RFID UHF module type of the connected Device.
      Returns:
        ModuleUHFType enumeration representing the RFID UHF module type.

    - #### addListener

          public void addListener(IRfidUhfEventListener listener)

      Adds an event handler to receive events that occur in the instance.
      Parameters:
        `listener` - An instance that implements the IRfidUhfEventListener interface to receive events from RFID UHF modules.

    - #### removeListener

          public void removeListener(IRfidUhfEventListener listener)

      Removes an event handler when it no longer needs to receive events raised by the instance.
      Parameters:
        `listener` - An instance that implements the IRfidUhfEventListener interface to receive events from RFID UHF modules.

    - #### clearListener

          public void clearListener()

      Removes all event handlers from the instance.

    - #### pumpEvent

          public void pumpEvent(ProtocolEventId protocolEventId,
                                Object data)

    - #### assertAction

          protected void assertAction()
                               throws ReaderException

      Asserts that the instance is in a state where it can perform an operation. If the instance is not in a state where it can perform an operation, it throws a ReaderException with an appropriate error code.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if the instance is not in a state

    - #### assertModule

          protected void assertModule()
                               throws ReaderException

      Asserts that the module is not null and is of a type that supports the operation. If the module is null or not supported, it throws a ReaderException with an appropriate error code.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if the module is null or not supported.

    - #### setException

          protected void setException(ReaderException e)

    - #### getPowerRange

          public PowerRange getPowerRange()
                                   throws ReaderException

      Returns the antenna output range of the RFID UHF module of the instrument.
      Returns:
        An instance of PowerRange that represents the antenna output range of the RFID UHF module of the device. The return unit is dBm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getConfig

          public RFIDConfig getConfig()
                               throws ReaderException

      Returns the config of RFID module
      Returns:
        An instance of RFIDConfig that the config of RFID module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setConfig

          public void setConfig(RFIDConfig rfidConfig)
                         throws ReaderException

      Setup the config of the RFID module
      Parameters:
        `rfidConfig` - The RFID config setting
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSession

          public Session getSession()
                             throws ReaderException

      The RFID UHF module of the device returns the Session to check the state of the Session of the tag to be read by the Inventory operation.
      Returns:
        The Session enumeration that specifies the session of the tag to read from the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSession

          public void setSession(Session session)
                          throws ReaderException

      Device's RFID UHF module sets the Session to check the status of the Session of the tag to be read by Inventory operation.
      Parameters:
        `session` - The Session enumeration that specifies the session of the tag to read from the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getTarget

          public Target getTarget()
                           throws ReaderException

      The RFID UHF module of the device returns the status of the Target of the tag to be read by the Inventory operation.
      Returns:
        The Target enumeration type that specifies the state of the Target of the tag to be read by the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setTarget

          public void setTarget(Target target)
                         throws ReaderException

      Sets the state of target of tag to read by Inventory operation.
      Parameters:
        `target` - The Target enumeration type that specifies the state of the Target of the tag to be read by the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getAlgorithmType

          public AlgorithmType getAlgorithmType()
                                         throws ReaderException

      Returns the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
      Returns:
        An AlgorithmType enumeration specifying the algorithm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setAlgorithmType

          public void setAlgorithmType(AlgorithmType type)
                                throws ReaderException

      Sets the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
      Parameters:
        `type` - An AlgorithmType enumeration specifying the algorithm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getStartQ

          public int getStartQ()
                        throws ReaderException

      If the algorithm of the RFID UHF module of the device is using Dynamic Q, it returns the starting Q value.
      Returns:
        An integer that specifies the starting Q value of the algorithm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setStartQ

          public void setStartQ(int value)
                         throws ReaderException

      If the algorithm of the RFID UHF module of the device is using Dynamic Q, set the starting Q value.
      Parameters:
        `value` - Dynamic Q An integer that specifies the starting Q value of the algorithm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getMinQ

          public int getMinQ()
                      throws ReaderException

      If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the minimum Q value.
      Returns:
        Dynamic type that specifies the minimum Q value of the Q algorithm. The Min Q value must be less than the Max Q value.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setMinQ

          public void setMinQ(int value)
                       throws ReaderException

      If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the minimum Q value.
      Parameters:
        `value` - Dynamic type that specifies the minimum Q value of the Q algorithm. The Min Q value must be less than the Max Q value.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getMaxQ

          public int getMaxQ()
                      throws ReaderException

      If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the maximum Q value.
      Returns:
        Dynamic type that specifies the maximum Q value of the Q algorithm. The Max Q value must be greater than the Min Q value.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setMaxQ

          public void setMaxQ(int value)
                       throws ReaderException

      If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the maximum Q value.
      Parameters:
        `value` - Dynamic type that specifies the maximum Q value of the Q algorithm. The Max Q value must be greater than the Min Q value.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getPower

          public int getPower()
                       throws ReaderException

      Returns the antenna output of the RFID UHF module of the instrument.
      Returns:
        An integer specifying the antenna output of the RFID UHF module. The setting unit is dBm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setPower

          public void setPower(int power)
                        throws ReaderException

      Set the antenna output of the RFID UHF module of the instrument.
      Parameters:
        `power` - An integer specifying the antenna output of the RFID UHF module. The setting unit is dBm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getGlobalBand

          public GlobalBandType getGlobalBand()
                                       throws ReaderException

      Returns the national orientation of the RFID UHF module of the instrument.
      Returns:
        GlobalBandType enumeration that represents the national orientation of the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setGlobalBand

          public void setGlobalBand(GlobalBandType band)
                             throws ReaderException

      Set the national orientation of the RFID UHF module of the instrument.
      Parameters:
        `band` - GlobalBandType enumeration that represents the national orientation of the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getEncoding

          public Encoding getEncoding()
                               throws ReaderException

      Returns the status of the encoding that the RFID UHF module of the appliance uses to perform the inventory.
      Returns:
        An Encoding enumeration specifying the encoding.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setEncoding

          public void setEncoding(Encoding encoding)
                           throws ReaderException

      Sets the status of the encoding that the RFID UHF module of the appliance uses to perform the inventory.
      Parameters:
        `encoding` - An Encoding enumeration specifying the encoding.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getTARI

          public TARIType getTARI()
                           throws ReaderException

      Returns the status of the TARI that the RFID UHF module of the appliance uses to perform the inventory.
      Returns:
        A TARIType enumeration specifying the TARI.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setTARI

          public void setTARI(TARIType type)
                       throws ReaderException

      Sets the status of the TARI that the RFID UHF module of the appliance uses to perform the inventory.
      Parameters:
        `type` - An TARIType enumeration specifying the TARI.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getBLF

          public BLFType getBLF()
                         throws ReaderException

      Returns the status of the BLF that the RFID UHF module of the appliance uses to perform the inventory.
      Returns:
        A BLFType enumeration specifying the BLF.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setBLF

          public void setBLF(BLFType type)
                      throws ReaderException

      Sets the status of the BLF that the RFID UHF module of the appliance uses to perform the inventory.
      Parameters:
        `type` - An BLFType enumeration specifying the BLF.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getInventoryTime

          public int getInventoryTime()
                               throws ReaderException

      Returns the time at which radio waves are actually output from the Inventory operation of the RFID UHF module in the instrument.
      Returns:
        An integer that specifies the Inventory time( Tx On ) of the RFID UHF module. Inventory Time ( Tx On ) is in milliseconds (ms).
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setInventoryTime

          public void setInventoryTime(int time)
                                throws ReaderException

      Sets the time at which radio waves are actually output in Inventory operation of the RFID UHF module of the instrument.
      Parameters:
        `time` - An integer that specifies the Inventory time ( Tx On ) of the RFID UHF module. Inventory Time ( Tx On ) is in milliseconds (ms).
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getIdleTime

          public int getIdleTime()
                          throws ReaderException

      The RFID UHF module of the instrument returns the time that the radio waves are not output in the Inventory operation and is resting.
      Returns:
        An integer that specifies the Inventory idle time ( Tx Off ) for the RFID UHF module. Idle Time ( Tx Off ) is in milliseconds (ms).
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setIdleTime

          public void setIdleTime(int time)
                           throws ReaderException

      The RFID UHF module of the instrument sets the time for which the radio waves are not output in the Inventory operation and the rest of the time.
      Parameters:
        `time` - An integer that specifies the Inventory idle time ( Tx Off ) for the RFID UHF module. Idle Time ( Tx Off ) is in milliseconds (ms).
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getPowerSavingMode

          public PowerSavingMode getPowerSavingMode()
                                             throws ReaderException

      Returns the power saving mode of the RFID UHF module of the device.
      Returns:
        An instance of PowerSavingMode that represents the power saving mode of the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setPowerSavingMode

          public void setPowerSavingMode(PowerSavingMode mode)
                                  throws ReaderException

      Sets the power saving mode of the RFID UHF module of the device.
      Parameters:
        `mode` - An instance of PowerSavingMode that represents the power saving mode of the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getContinuousMode

          public boolean getContinuousMode()
                                    throws ReaderException

      Returns whether the RFID UHF module on the device will cause the Inventory to run continuously.
      Returns:
        A boolean specifying whether the RFID UHF module will continue to perform Inventory operations.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setContinuousMode

          public void setContinuousMode(boolean enabled)
                                 throws ReaderException

      Sets whether or not the RFID UHF module of the device will run the Inventory continuously.
      Parameters:
        `enabled` - A boolean specifying whether the RFID UHF module will continue to perform Inventory operations.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cEnabled

          public boolean getSelectMask6cEnabled(int index)
                                         throws ReaderException

      Returns whether to use the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        A boolean specifying whether to apply the item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cEnabled

          public void setSelectMask6cEnabled(int index,
                                             boolean enabled)
                                      throws ReaderException

      Set whether or not to use the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `enabled` - A boolean specifying whether to apply the item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cTarget

          public Mask6cTarget getSelectMask6cTarget(int index)
                                             throws ReaderException

      Returns the Flag of the tag to store the comparison result of Selection Mask item of RFID UHF module of Device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        The Mask6cTarget enumeration that specifies the Flag of the tag to store the result of the specified Selection Mask item comparison.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cTarget

          public void setSelectMask6cTarget(int index,
                                            Mask6cTarget target)
                                     throws ReaderException

      Set the Flag of the tag to save the comparison result of Selection Mask item of the RFID UHF module of the device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `target` - The Mask6cTarget enumeration that specifies the Flag of the tag to store the result of the specified Selection Mask item comparison.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cAction

          public Mask6cAction getSelectMask6cAction(int index)
                                             throws ReaderException

      Returns the comparison behavior of the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        The Mask6cAction enumeration specifying how to compare the specified Selection Mask items.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cAction

          public void setSelectMask6cAction(int index,
                                            Mask6cAction action)
                                     throws ReaderException

      Set the comparison behavior of the Selection Mask item of the RFID UHF module of the device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `action` - The Mask6cAction enumeration specifying how to compare the specified Selection Mask items.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cBank

          public BankType getSelectMask6cBank(int index)
                                       throws ReaderException

      The Selection Mask item of the Device's RFID UHF module returns the memory bank to compare.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        The BankType enumeration that specifies the memory bank to be compared with the specified Selection Mask item. Reserved bank is not used.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cBank

          public void setSelectMask6cBank(int index,
                                          BankType bank)
                                   throws ReaderException

      The Selection Mask item of the RFID UHF module of the device sets the memory bank to be compared.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `bank` - The BankType enumeration that specifies the memory bank to be compared with the specified Selection Mask item. Reserved bank is not used.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cOffset

          public int getSelectMask6cOffset(int index)
                                    throws ReaderException

      The Selection Mask item of the RFID UHF module of the Device returns the starting address of the memory to start the comparison.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        An integer specifying the starting address at which the specified Selection Mask item will start the comparison. The unit specifying the start address of the Selection Mask is bit.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cOffset

          public void setSelectMask6cOffset(int index,
                                            int offset)
                                     throws ReaderException

      The Selection Mask item of the RFID UHF module of the device sets the start address of the memory to start the comparison.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `offset` - An integer specifying the starting address at which the specified Selection Mask item will start the comparison. The unit specifying the start address of the Selection Mask is bit.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cPattern

          public Mask6cPattern getSelectMask6cPattern(int index)
                                               throws ReaderException

      Returns the comparison value and length of the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        An instance of Mask6cPattern specifying the comparison value and length of the specified Selection Mask item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cPattern

          public void setSelectMask6cPattern(int index,
                                             Mask6cPattern pattern)
                                      throws ReaderException

      Set the comparison value and length of the Selection Mask item of the RFID UHF module of the device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `pattern` - An instance of Mask6cPattern specifying the comparison value and length of the specified Selection Mask item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cTruncate

          public Truncate getSelectMask6cTruncate(int index)
                                           throws ReaderException

      Returns the truncate of the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        An instance of Truncate that specifies the truncate of the specified Selection Mask item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cTruncate

          public void setSelectMask6cTruncate(int index,
                                              Truncate truncate)
                                       throws ReaderException

      Sets the truncate of the Selection Mask item of the RFID UHF module of the device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `truncate` - An instance of Truncate that specifies the truncate of the specified Selection Mask item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6c

          public SelectMask6cParam getSelectMask6c(int index)
                                            throws ReaderException

      Returns the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        An instance of SelectMask6cParam that specifies the specified Selection Mask item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6c

          public void setSelectMask6c(int index,
                                      SelectMask6cParam param)
                               throws ReaderException

      Set the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `param` - An instance of SelectMask6cParam that specifies the specified Selection Mask item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cMaxSize

          public int getSelectMask6cMaxSize()

      Returns the max size of select mask list status of the RFID UHF module.
      Returns:
        The max size of select mask list.

    - #### getToggleTarget

          public boolean getToggleTarget()
                                  throws ReaderException

      Returns the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
      Returns:
        The toggle target status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setToggleTarget

          public void setToggleTarget(boolean enabled)
                               throws ReaderException

      Sets the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
      Parameters:
        `enabled` - The toggle target status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getFastMode

          public boolean getFastMode()
                              throws ReaderException

      Returns the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
      Returns:
        The fast mode status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setFastMode

          public void setFastMode(boolean enabled)
                           throws ReaderException

      Sets the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
      Parameters:
        `enabled` - The fast mode status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getModuleProfile

          public int getModuleProfile()
                               throws ReaderException

      Returns the status of the module's profile that the RFID UHF module of the appliance uses to perform the inventory.
      Returns:
        The index of module profile.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setModuleProfile

          public void setModuleProfile(int id)
                                throws ReaderException

      Sets the status of the module's profile that the RFID UHF module of the appliance uses to perform the inventory. Only supports 0, 1, 2, 3 for HT730 UHF.
      Parameters:
        `id` - The module profile index.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getPowerMode

          public PowerMode getPowerMode()
                                 throws ReaderException

      Returns the status of the power mode that the RFID UHF module of the appliance uses to perform the inventory.
      Returns:
        A PowerMode enumeration specifying the power mode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setPowerMode

          public void setPowerMode(PowerMode powerMode)
                            throws ReaderException

      Sets the status of the power mode the RFID UHF module of the appliance uses to perform the inventory.
      Parameters:
        `powerMode` - A PowerMode enumeration specifying the power mode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### supportedGlobalBand

          public GlobalBandType[] supportedGlobalBand()

      Returns the global band types that the RFID UHF module support.
      Returns:
        The global band types.

    - #### getFastID

          public boolean getFastID()
                            throws ReaderException

      Returns the status of the FastId that the RFID UHF module of the appliance uses to read tid when inventory.
      Returns:
        boolean of the FastId.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setFastID

          public void setFastID(boolean enable)
                         throws ReaderException

      Setup the status of the FastId that the RFID UHF module of the appliance uses to read tid when inventory.
      Parameters:
        `enable` - The boolean of FastId
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMode

          public SelectMode getSelectMode()
                                   throws ReaderException

      Returns the Select Mode of the RFID UTE module of the Device.
      Returns:
        An instance of SelectMode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMode

          public void setSelectMode(SelectMode mode)
                             throws ReaderException

      Set the Select Mode of the RFID UTE module of the Device.
      Parameters:
        `mode` - An instance of SelectMode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getDwellTime

          public int getDwellTime()
                           throws ReaderException

      Returns the dwellTime representing Antenna Setting of the RFID UTE module of the Device.
      Returns:
        An Integer of time in milliseconds.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setDwellTime

          public void setDwellTime(int time)
                            throws ReaderException

      Set the dwellTime representing Antenna Setting of the RFID UTE module of the Device.
      Parameters:
        `time` - An Integer of time in milliseconds.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getRFMode

          public RFMode getRFMode()
                           throws ReaderException

      Returns the RF Mode of the RFID UTE module of the Device.
      Returns:
        An instance of RFMode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setRFMode

          public void setRFMode(RFMode mode)
                         throws ReaderException

      Set the RF Mode of the RFID UTE module of the Device.
      Parameters:
        `mode` - An instance of RFMode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getLbt

          public boolean getLbt()
                         throws ReaderException

      Returns the Listen-Before-Talk Setting of the RFID UTE module of the Device.
      Returns:
        A boolean indicating whether the Listen-Before-Talk Setting is active.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setLbt

          public void setLbt(boolean enable)
                      throws ReaderException

      Set the Listen-Before-Talk Setting of the RFID UTE module of the Device.
      Parameters:
        `enable` - A boolean indicating whether the Listen-Before-Talk Setting is active.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getTagFocus

          public boolean getTagFocus()
                              throws ReaderException

      Returns the TagFocus Setting of the RFID UTE module of the Device.
      Returns:
        A boolean indicating whether the TagFocus Setting is active.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setTagFocus

          public void setTagFocus(boolean enable)
                           throws ReaderException

      Set the TagFocus Setting of the RFID UTE module of the Device.
      Parameters:
        `enable` - A boolean indicating whether the TagFocus Setting is active.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getFixedFreqParams

          public long[] getFixedFreqParams()
                                    throws ReaderException

      Returns the fixed frequency parameters of the RFID UTE module of the Device.
      Returns:
        An array of long representing the fixed frequencies.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setFixedFreqParams

          public void setFixedFreqParams(long[] frequencies)
                                  throws ReaderException

      Set the fixed frequency parameters of the RFID UTE module of the Device.
      Parameters:
        `frequencies` - An array of long representing the fixed frequencies.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getAntennaSwitchingMode

          public AntennaSwitchingMode getAntennaSwitchingMode()
                                                       throws ReaderException

      Returns the Antenna Switching Mode of the RFID UTE module of the Device.
      Returns:
        An instance of AntennaSwitchingMode that specifies the antenna switching mode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setAntennaSwitchingMode

          public void setAntennaSwitchingMode(AntennaSwitchingMode mode)
                                       throws ReaderException

      Set the Antenna Switching Mode of the RFID UTE module of the Device.
      Parameters:
        `mode` - An instance of AntennaSwitchingMode that specifies the antenna switching mode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getFreqSwitchingMode

          public FreqSwitchingMode getFreqSwitchingMode()
                                                 throws ReaderException

      Returns the Frequency Switching Mode of the RFID UTE module of the Device.
      Returns:
        An instance of FreqSwitchingMode that specifies the frequency switching mode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setFreqSwitchingMode

          public void setFreqSwitchingMode(FreqSwitchingMode mode)
                                    throws ReaderException

      Set the Frequency Switching Mode of the RFID UTE module of the Device.
      Parameters:
        `mode` - An instance of FreqSwitchingMode that specifies the frequency switching mode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getCfgStorageMode

          public CfgStorageMode getCfgStorageMode()
                                           throws ReaderException

      Returns the configuration storage mode of the RFID UTE module of the Device.
      Returns:
        An instance of CfgStorageMode that specifies the configuration storage mode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setCfgStorageMode

          public void setCfgStorageMode(CfgStorageMode mode)
                                 throws ReaderException

      Set the configuration storage mode of the RFID UTE module of the Device.
      Parameters:
        `mode` - An instance of CfgStorageMode that specifies the configuration storage mode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getLbtCfgSetting

          public int getLbtCfgSetting()
                               throws ReaderException

      Returns the LBT RSSI threshold of the RFID UTE module of the Device.
      Returns:
        An Integer of LBT RSSI threshold.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setLbtCfgSetting

          public void setLbtCfgSetting(int value)
                                throws ReaderException

      Set the LBT RSSI threshold of RAM/Flash for the Device.
      Parameters:
        `value` - An Integer of LBT RSSI threshold.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### authenticate

          public void authenticate(AuthenticateParam param)
                            throws ReaderException

      Set the Authenticate command for the RFID UTE module of the Device.
      Parameters:
        `param` - An instance of AuthenticateParam that specifies the parameters for authentication.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### blockPermaLock

          public ResultCode blockPermaLock(BlockPermaLockParam param)
                                    throws ReaderException

      Set the Block Perma Lock command for the RFID UTE module of the Device.
      Parameters:
        `param` - An instance of BlockPermaLockParam that specifies the parameters for block permanent lock.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### marginRead

          public ResultCode marginRead(MarginReadParam param)
                                throws ReaderException

      Set the Margin Read command for the RFID UTE module of the Device.
      Parameters:
        `param` - An instance of MarginReadParam that specifies the parameters for margin read.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### cwOnOff

          public void cwOnOff(CWParms param,
                              boolean enable)
                       throws ReaderException

      Set the CW On/Off command for the RFID UTE module of the Device.
      Parameters:
        `param` - An instance of CWParms that specifies the parameters for CW operation.
        `enable` - A boolean indicating whether to enable or disable the CW operation.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### txRandomData

          public void txRandomData(TxRandomDataParam param)
                            throws ReaderException

      Executes a random data transaction with the RFID UTE module of the Device.
      Parameters:
        `param` - An instance of TxRandomDataParam that specifies the parameters for the random data transaction.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSKU

          public SKUType getSKU()
                         throws ReaderException

      Returns the SKU of the RFID UTE module of the Device.
      Returns:
        An instance of SKUType that specifies the SKU.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getAntennaRoundCount

          public int getAntennaRoundCount()
                                   throws ReaderException

      Returns the antenna round count of the RFID UTE module of the Device.
      Returns:
        An Integer representing the antenna round count.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setAntennaRoundCount

          public void setAntennaRoundCount(int count)
                                    throws ReaderException

      Sets the antenna round count of the RFID UTE module of the Device.
      Parameters:
        `count` - An Integer representing the antenna round count.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getPhaseSetting

          public boolean getPhaseSetting()
                                  throws ReaderException

      Returns the phase setting of the RFID UTE module of the Device.
      Returns:
        A boolean indicating whether the phase setting is enabled.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setPhaseSetting

          public void setPhaseSetting(boolean enable)
                               throws ReaderException

      Sets the phase setting of the RFID UTE module of the Device.
      Parameters:
        `enable` - A boolean indicating whether to enable or disable the phase setting.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### initModule

          public abstract boolean initModule()

      After the Device is connected, it calls to instantiate the BaseUHF instance.
      Returns:
        Returns true if the initialization of the instance succeeds, false otherwise.

    - #### inventory6c

          public abstract ResultCode inventory6c()

      Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### readMemory6c

          public abstract ResultCode readMemory6c(BankType bank,
                                                  int offset,
                                                  int length,
                                                  String password)

      Device instructs to read specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
      Parameters:
        `bank` - The BankType enumeration that specifies the Bank for reading memory.
        `offset` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `length` - An integer that specifies the length of data to read from the specified start address. Unit is WORD unit.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### writeMemory6c

          public abstract ResultCode writeMemory6c(BankType bank,
                                                   int offset,
                                                   String data,
                                                   String password)

      Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
      Parameters:
        `bank` - The BankType enumeration that specifies the Bank for writing memory.
        `offset` - An integer specifying the starting address to start writing from the specified bank. Unit is WORD unit.
        `data` - An Hex type string that specifies the data to be stored in memory from the specified start address. Data must be specified in WORD units (4 characters).
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### lock6c

          public abstract ResultCode lock6c(Lock6cParam param,
                                            String password)

      Instructs the Device to lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
      Parameters:
        `param` - An instance of Lock6cParam that specifies the lock area of the tag memory.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### permaLock6c

          public abstract ResultCode permaLock6c(PermaLock6cParam param,
                                                 String password)

      Instructs the Device to permanent lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
      Parameters:
        `param` - An instance of PermaLock6cParam that specifies a permanent lock area for tag memory.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### kill6c

          public abstract ResultCode kill6c(String password)

      Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to be no longer available.
      Parameters:
        `password` - Hex type string that specifies the Kill Password set in the tag
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### stop

          public abstract ResultCode stop()

      Instructs the Device to stop the operation being performed.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### getVersion

          public String getVersion()
                            throws ReaderException

      Returns the version of the RFID UHF module.
      Returns:
        A string representing version information.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### userInventory6c

          public abstract ResultCode userInventory6c(BankType bank,
                                                     int offset,
                                                     int length,
                                                     String password)

      Returns whether to executes a tag inventory with user specified data operation of the RFID UTE module of the Device.
      Parameters:
        `bank` - The BankType enumeration that specifies the Bank for reading memory.
        `offset` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `length` - An integer that specifies the length of data to read from the specified start address. Unit is WORD unit.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### writeBlockMemory6c

          public abstract ResultCode writeBlockMemory6c(BankType bank,
                                                        int offset,
                                                        int length,
                                                        String data,
                                                        String password)

      Device instructs to store data in a specific memory of RFID UTE tag.
      Parameters:
        `bank` - The BankType enumeration that specifies the Bank for reading memory.
        `offset` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `length` - An integer that specifies the length of data to read from the specified start address. Unit is WORD unit.
        `data` - An Hex type string that specifies the data to be stored in memory from the specified start address. Data must be specified in WORD units (4 characters).
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.